summaryrefslogtreecommitdiffstats
path: root/unstable
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-10-14 13:19:20 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-10-14 13:19:20 +0000
commitb39e3ecf3f75ee0e72d10b9a5c692142791f816f (patch)
treeb88d72ca8b76998e4cabfdce9606c17cd4c13511 /unstable
parent350bf81134f199d5cc61d61a573b171b0a5d3a1a (diff)
parente092d1df05f32edf17a4c9d5c0aa2050e238ceb5 (diff)
downloadaports-b39e3ecf3f75ee0e72d10b9a5c692142791f816f.tar.bz2
aports-b39e3ecf3f75ee0e72d10b9a5c692142791f816f.tar.xz
Merge remote branch 'mmason/master'
Diffstat (limited to 'unstable')
-rw-r--r--unstable/genshi/APKBUILD31
-rw-r--r--unstable/liblockfile/APKBUILD32
-rw-r--r--unstable/mailx-support/APKBUILD17
-rw-r--r--unstable/mailx-support/mailx-support-ldflags.patch15
-rw-r--r--unstable/setuptools/APKBUILD29
-rw-r--r--unstable/trac/APKBUILD35
6 files changed, 153 insertions, 6 deletions
diff --git a/unstable/genshi/APKBUILD b/unstable/genshi/APKBUILD
new file mode 100644
index 00000000..65e49239
--- /dev/null
+++ b/unstable/genshi/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Michael Mason <ms13sp@gmail.com>
+pkgname=genshi
+_altname=Genshi
+pkgver=0.5.1
+pkgrel=0
+pkgdesc="Python toolkit for stream-based generation of output for the web."
+url="http://genshi.edgewall.org/"
+license="GPL"
+depends="python setuptools"
+makedepends=""
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://ftp.edgewall.com/pub/genshi/Genshi-0.5.1.tar.bz2"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+ # remove the 2 lines below (and this) if there is no init.d script
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="" #generate with 'abuild checksum'
diff --git a/unstable/liblockfile/APKBUILD b/unstable/liblockfile/APKBUILD
new file mode 100644
index 00000000..8d89af84
--- /dev/null
+++ b/unstable/liblockfile/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Michael Mason <ms13sp@gmail.com>
+pkgname=liblockfile
+pkgver=1.08
+pkgrel=0
+pkgdesc="Implements functions designed to lock the standard mailboxes"
+url="http://www.debian.org"
+license="GPL"
+depends=""
+makedepends=""
+install=
+subpackages="$pkgname-doc"
+source="ftp://ftp.debian.org/debian/pool/main/libl/$pkgname/"$pkgname"_"$pkgver".orig.tar.gz"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ install -m2755 -D "$srcdir"/"$pkgname-$pkgver"/dotlockfile "$pkgdir"/usr/bin/dotlockfile
+ install -m644 -D "$srcdir"/"$pkgname-$pkgver"/lockfile.h "$pkgdir"/usr/include/lockfile.h
+ install -m644 -D "$srcdir"/"$pkgname-$pkgver"/maillock.h "$pkgdir"/usr/include/maillock.h
+ install -m644 -D "$srcdir"/"$pkgname-$pkgver"/liblockfile.a "$pkgdir"/usr/lib/liblockfile.a
+ install -m644 -D "$srcdir"/"$pkgname-$pkgver"/dotlockfile.1 "$pkgdir"-doc/usr/man/man1/dotlockfile.1
+ install -m644 -D "$srcdir"/"$pkgname-$pkgver"/lockfile_create.3 "$pkgdir"-doc/usr/man/man3/lockfile_create.3
+ install -m644 -D "$srcdir"/"$pkgname-$pkgver"/maillock.3 "$pkgdir"-doc/usr/man/man3/maillock.3
+}
+
+md5sums="c24e2dfb4a2aab0263fe5ac1564d305e liblockfile_1.08.orig.tar.gz"
diff --git a/unstable/mailx-support/APKBUILD b/unstable/mailx-support/APKBUILD
index 2a8fe731..503f2030 100644
--- a/unstable/mailx-support/APKBUILD
+++ b/unstable/mailx-support/APKBUILD
@@ -5,20 +5,25 @@ pkgver=20060102
pkgrel=0
pkgdesc="Provides lockspool utility"
url="http://www.openbsd.org"
-license="GPL"
+license="BSD"
depends=""
makedepends=""
install=
subpackages="$pkgname-doc"
-source="http://gentoo.osuosl.org/distfiles/$pkgname-$pkgver.tar.bz2"
+source="http://gentoo.osuosl.org/distfiles/$pkgname-$pkgver.tar.bz2
+ mailx-support-ldflags.patch"
build() {
cd "$srcdir"/$pkgname-$pkgver
-#need to add a DESTDIR in make file
+ for i in ../*.patch; do
+ msg "Appling $i..."
+ patch -p1 < $i || return 1
+ done
make || return 1
- make DESTDIR="$pkgdir" install
-
+ install -m755 -D "$srcdir"/"$pkgname-$pkgver"/lockspool "$pkgdir"/usr/libexec/lockspool
+ install -m644 -D "$srcdir"/"$pkgname-$pkgver"/lockspool.1 "$pkgdir"-doc/usr/share/man/man1/lockspool.1
}
-md5sums="3f671fe4368a5b536e8384980a9a5c80 mailx-support-20060102.tar.bz2"
+md5sums="3f671fe4368a5b536e8384980a9a5c80 mailx-support-20060102.tar.bz2
+32a98aee973db8860f1f53a9297b8dd9 mailx-support-ldflags.patch"
diff --git a/unstable/mailx-support/mailx-support-ldflags.patch b/unstable/mailx-support/mailx-support-ldflags.patch
new file mode 100644
index 00000000..97c5b600
--- /dev/null
+++ b/unstable/mailx-support/mailx-support-ldflags.patch
@@ -0,0 +1,15 @@
+--- mailx-support-20060102.orig/Makefile
++++ mailx-support-20060102/Makefile
+@@ -17,10 +17,10 @@ clean:
+ ${RM} -f ${PRODUCTS} *.o
+
+ mail.local: mail.local.o locking.o open_with_exlock.o
+- ${CC} ${CFLAGS} -o $@ $^
++ ${CC} ${LDFLAGS} ${CFLAGS} -o $@ $^
+
+ lockspool: lockspool.o locking.o open_with_exlock.o
+- ${CC} ${CFLAGS} -o $@ $^
++ ${CC} ${LDFLAGS} ${BINDNOW_FLAGS} ${CFLAGS} -o $@ $^
+
+ .c.o:
+ ${CC} ${CFLAGS} -c -o $@ $^
diff --git a/unstable/setuptools/APKBUILD b/unstable/setuptools/APKBUILD
new file mode 100644
index 00000000..c7c5899b
--- /dev/null
+++ b/unstable/setuptools/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Michael Mason <ms13sp@gmail.com>
+pkgname=setuptools
+_altname=distribute
+pkgver=0.6.4
+pkgrel=0
+pkgdesc=""
+url="http://pypi.python.org/pypi/distribute"
+license="PSF-2.2"
+depends="python"
+makedepends=""
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://pypi.python.org/packages/source/d/distribute/$_altname-$pkgver.tar.gz"
+
+# append extra dependencies to -dev subpackage
+# remove if not used.
+# depends_dev="somepackage-dev"
+
+build() {
+ cd "$srcdir"/$_altname-$pkgver
+
+ python setup.py build
+# make || return 1
+# make DESTDIR="$pkgdir" install
+
+}
+
+md5sums="7a963679fddc64a0e363b2ccf8024952 distribute-0.6.4.tar.gz"
diff --git a/unstable/trac/APKBUILD b/unstable/trac/APKBUILD
new file mode 100644
index 00000000..8292ef9e
--- /dev/null
+++ b/unstable/trac/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Michael Mason <ms13sp@gmail.com>
+pkgname=trac
+_altname=Trac
+pkgver=0.11.5
+pkgrel=0
+pkgdesc="Trac is a minimalistic web-based project management, wiki and bug/issue tracking system."
+url="http://trac.edgewall.com/"
+license="GPL"
+depends="python"
+makedepends="postgresql-dev"
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+source="ftp://ftp.edgewall.com/pub/$pkgname/$_altname-$pkgver.tar.gz"
+
+# append extra dependencies to -dev subpackage
+# remove if not used.
+# depends_dev="somepackage-dev"
+
+build() {
+ cd "$srcdir"/$_altname-$pkgver
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+ # remove the 2 lines below (and this) if there is no init.d script
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="c8042490096a49478580fd599ad26322 Trac-0.11.5.tar.gz"